hwe-support-status should be included in newer releases

Bug #1498059 reported by Bryan Quigley on 2015-09-21
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Brian Murray
Trusty
High
Brian Murray
Xenial
High
Unassigned
update-notifier (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Xenial
High
Unassigned

Bug Description

Test Case (for update-notifier)
-------------------------------
1) Install an End of Life HWE stack (utopic/vivid/wily)
2) Install the version of update-notifier and update-manager from Trusty -proposed
3) Force an motd update via 'sudo /usr/lib/update-notifier/update-motd-hwe-eol'
4) Observe a message regarding your HWE stack being End of Life.
5) ssh localhost - confirm same HWE EoL message appears

Right now hwe-support-status is only in 12.04. 14.04 users might want that information for their release as well.

Alternatively the functionality could be merged into ubuntu-support-status.

Related branches

Changed in update-manager (Ubuntu):
status: New → Confirmed
Changed in update-manager (Ubuntu):
importance: Undecided → High
tags: added: trusty
Changed in update-manager (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
Changed in update-manager (Ubuntu Trusty):
status: New → Triaged
Changed in update-manager (Ubuntu Xenial):
status: New → Triaged
Changed in update-manager (Ubuntu Trusty):
importance: Undecided → High
Changed in update-manager (Ubuntu Xenial):
importance: Undecided → High
Brian Murray (brian-murray) wrote :

The hardware enablement code is more than just the hwe-support-status command line tool. Changes were also made to update-manager to warn when the currently installed and running HWE stack is no longer supported. The dialog can be seen in the attached screenshot. These changes should also be included in newer releases.

Changed in update-manager (Ubuntu Trusty):
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:16.10.2

---------------
update-manager (1:16.10.2) yakkety; urgency=medium

  * Include HWE support tools and information. (LP: #1498059)

 -- Brian Murray <email address hidden> Thu, 21 Jul 2016 14:29:10 -0700

Changed in update-manager (Ubuntu):
status: Confirmed → Fix Released
Brian Murray (brian-murray) wrote :

This is now in the Trusty SRU queue.

Changed in update-manager (Ubuntu Trusty):
status: Triaged → In Progress

Hello Bryan, or anyone else affected,

Accepted update-manager into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:0.196.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-manager (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Bryan Quigley (bryanquigley) wrote :

Verified with a Wily HWE kernel and a Xenial kernel. Maybe needs a Desktop test to?

Can we have this script included with Xenial release too?

Vlad Orlov (monsta) wrote :

So I've updated packages to 1:0.196.15 from -proposed, but now I have no idea how to make it install Xenial stack over my current Wily stack. It just shows some info and quits:

$ hwe-support-status

Your current Hardware Enablement Stack (HWE) is going out of support
on 2016-08-04. After this date security updates for critical parts (kernel
and graphics stack) of your system will no longer be available.

For more information, please see:
http://wiki.ubuntu.com/1404_HWE_EOL

There is a graphics stack installed on this system. An upgrade to a
supported (or longer supported) configuration will become available
on 2016-07-21 and can be invoked by running 'update-manager' in the
Dash.

Vlad Orlov (monsta) wrote :

In addition, running 'hwe-support-status --show-all-unsupported' shows absolutely nothing.

Brian Murray (brian-murray) wrote :

@Bryan - I'll get it added to Xenial after we sort it out in Trusty.

@Vlad - Try 'hwe-support-status --show-replacements', nothing is unsupported yet since it is not past 2016-08-04.

Vlad Orlov (monsta) wrote :

$ hwe-support-status --show-replacements
xserver-xorg-lts-xenial linux-generic-lts-xenial linux-image-generic-lts-xenial libgl1-mesa-glx-lts-xenial

Well, that's not a complete list...

Here I have libegl1-mesa-lts-wily, libgbm1-lts-wily, libgl1-mesa-dri-lts-wily, libwayland-egl1-mesa-lts-wily, libxatracker2-lts-wily, linux-headers-generic-lts-wily, xserver-xorg-input-all-lts-wily... no Xenial replacements are shown for them.

On Thu, Aug 04, 2016 at 08:52:20AM -0000, Vlad Orlov wrote:
> $ hwe-support-status --show-replacements
> xserver-xorg-lts-xenial linux-generic-lts-xenial linux-image-generic-lts-xenial libgl1-mesa-glx-lts-xenial
>
> Well, that's not a complete list...
>
> Here I have libegl1-mesa-lts-wily, libgbm1-lts-wily, libgl1-mesa-dri-
> lts-wily, libwayland-egl1-mesa-lts-wily, libxatracker2-lts-wily, linux-
> headers-generic-lts-wily, xserver-xorg-input-all-lts-wily... no Xenial
> replacements are shown for them.

If you try to install the suggested replacements the complete list
should be pulled in via dependencies.

--
Brian Murray

Hello Bryan, or anyone else affected,

Accepted update-manager into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:0.196.16 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

update-notifier (3.172) yakkety; urgency=medium

  * add support for the HWE End-of-Life notification via
    motd.

Changed in update-notifier (Ubuntu):
status: New → Fix Released
Brian Murray (brian-murray) wrote :

We should also add support to update-notifier to update the motd regarding the hwe-support-status information. This was done in precise but again not included anywhere else.

Brian Murray (brian-murray) wrote :

I've now uploaded update-notifier to the trusty proposed queue for review by the SRU team.

Vlad Orlov (monsta) wrote :

I've updated to 1:0.196.16 just in case, and waited a day more to make sure the tool will get the proper status. Seems to work:

$ hwe-support-status

WARNING: Security updates for your current Hardware Enablement
Stack ended on 2016-08-04:
 * http://wiki.ubuntu.com/1404_HWE_EOL

There is a graphics stack installed on this system. An upgrade to a
configuration supported for the full lifetime of the LTS will become
available on 2016-07-21 and can be installed by running 'update-manager'
in the Dash.

Vlad Orlov (monsta) wrote :

However, the tool seems to ignore multiarch.
I have some 32-bit packages from lts-wily stack installed here (the system is 64-bit Xubuntu 14.04):

$ aptitude search ~ilts-wily | grep i386
i A libegl1-mesa-lts-wily:i386 - free implementation of the EGL API -- runt
i A libgbm1-lts-wily:i386 - generic buffer management API -- runtime
i A libgl1-mesa-dri-lts-wily:i386 - free implementation of the OpenGL API -- D

But they're not shown in the unsupported packages list:

$ hwe-support-status --show-all-unsupported
xserver-xorg-video-mga-lts-wily libgles1-mesa-lts-wily
xserver-xorg-video-r128-lts-wily xserver-xorg-video-qxl-lts-wily
xserver-xorg-video-nouveau-lts-wily
xserver-xorg-input-vmmouse-lts-wily xserver-xorg-input-mouse-lts-wily
linux-image-extra-4.2.0-42-generic xserver-xorg-video-savage-lts-wily
xserver-xorg-video-siliconmotion-lts-wily
xserver-xorg-video-vmware-lts-wily linux-image-generic-lts-wily
xserver-xorg-input-wacom-lts-wily xserver-xorg-input-evdev-lts-wily
xserver-xorg-video-neomagic-lts-wily
xserver-xorg-video-sisusb-lts-wily linux-generic-lts-wily
libgbm1-lts-wily xserver-xorg-core-lts-wily libgl1-mesa-dri-lts-wily
libgbm1-lts-wily libgl1-mesa-dri-lts-wily
xserver-xorg-video-mach64-lts-wily
xserver-xorg-video-openchrome-lts-wily virtualbox-guest-x11-lts-wily
libwayland-egl1-mesa-lts-wily linux-image-4.2.0-42-generic
xserver-xorg-video-radeon-lts-wily xserver-xorg-video-fbdev-lts-wily
xserver-xorg-video-intel-lts-wily xserver-xorg-video-tdfx-lts-wily
xserver-xorg-video-cirrus-lts-wily libwayland-egl1-mesa-lts-wily
linux-headers-generic-lts-wily libxatracker2-lts-wily
xserver-xorg-input-synaptics-lts-wily xserver-xorg-lts-wily
xserver-xorg-video-ati-lts-wily xserver-xorg-video-all-lts-wily
xserver-xorg-video-trident-lts-wily libglapi-mesa-lts-wily
xserver-xorg-input-all-lts-wily libegl1-mesa-lts-wily
libgl1-mesa-glx-lts-wily libegl1-mesa-lts-wily
virtualbox-guest-utils-lts-wily xserver-xorg-video-vesa-lts-wily
libgles2-mesa-lts-wily virtualbox-guest-dkms-lts-wily

Vlad Orlov (monsta) wrote :

Another issue. If I run update-manager when some updates are available, it will also offer to upgrade the stack to lts-xenial. If I run it when the system is fully updated, it won't offer that. It will only offer upgrading the whole system to Xubuntu 16.04.1.

Erick Brunzell (lbsolost) wrote :

@ Vlad, I notice the same thing as you in comment #17. With no other updates available the HWE upgrade notification is not shown.

@ Brian, I hope we're planning to hold this back just a bit longer because my first and only test resulted in a failed boot afterwards so I filed (albeit poorly) bug 1610434. I hope to test Ubuntu itself very soon to see if it's limited to Ubuntu GNOME only.

Erick Brunzell (lbsolost) wrote :

Re bug #1610434 - the HWE upgrade process fails to install libwayland-egl1-mesa-lts-xenial on Ubuntu GNOME so it boots to a blank black screen.

On Sat, Aug 06, 2016 at 08:56:53AM -0000, Vlad Orlov wrote:
> Another issue. If I run update-manager when some updates are available,
> it will also offer to upgrade the stack to lts-xenial. If I run it when
> the system is fully updated, it won't offer that. It will only offer
> upgrading the whole system to Xubuntu 16.04.1.

That's the way the dialog is currently designed. We could possibly
modify update-manager to inspect the 'release-check-time' Gio setting so
that if that setting is in the future we don't show the option to
upgrade the whole system and instead show upgrade HWE stack dialog.

--
Brian Murray

Brian Murray (brian-murray) wrote :

On Sat, Aug 06, 2016 at 08:41:32AM -0000, Vlad Orlov wrote:
> However, the tool seems to ignore multiarch.
> I have some 32-bit packages from lts-wily stack installed here (the system is 64-bit Xubuntu 14.04):
>
> $ aptitude search ~ilts-wily | grep i386
> i A libegl1-mesa-lts-wily:i386 - free implementation of the EGL API -- runt
> i A libgbm1-lts-wily:i386 - generic buffer management API -- runtime
> i A libgl1-mesa-dri-lts-wily:i386 - free implementation of the OpenGL API -- D
>
> But they're not shown in the unsupported packages list:
>
> $ hwe-support-status --show-all-unsupported
> xserver-xorg-video-mga-lts-wily libgles1-mesa-lts-wily
> xserver-xorg-video-r128-lts-wily xserver-xorg-video-qxl-lts-wily
> xserver-xorg-video-nouveau-lts-wily
> xserver-xorg-input-vmmouse-lts-wily xserver-xorg-input-mouse-lts-wily
> linux-image-extra-4.2.0-42-generic xserver-xorg-video-savage-lts-wily
> xserver-xorg-video-siliconmotion-lts-wily
> xserver-xorg-video-vmware-lts-wily linux-image-generic-lts-wily
> xserver-xorg-input-wacom-lts-wily xserver-xorg-input-evdev-lts-wily
> xserver-xorg-video-neomagic-lts-wily
> xserver-xorg-video-sisusb-lts-wily linux-generic-lts-wily
> libgbm1-lts-wily xserver-xorg-core-lts-wily libgl1-mesa-dri-lts-wily
> libgbm1-lts-wily libgl1-mesa-dri-lts-wily
> xserver-xorg-video-mach64-lts-wily
> xserver-xorg-video-openchrome-lts-wily virtualbox-guest-x11-lts-wily
> libwayland-egl1-mesa-lts-wily linux-image-4.2.0-42-generic
> xserver-xorg-video-radeon-lts-wily xserver-xorg-video-fbdev-lts-wily
> xserver-xorg-video-intel-lts-wily xserver-xorg-video-tdfx-lts-wily
> xserver-xorg-video-cirrus-lts-wily libwayland-egl1-mesa-lts-wily
> linux-headers-generic-lts-wily libxatracker2-lts-wily
> xserver-xorg-input-synaptics-lts-wily xserver-xorg-lts-wily
> xserver-xorg-video-ati-lts-wily xserver-xorg-video-all-lts-wily
> xserver-xorg-video-trident-lts-wily libglapi-mesa-lts-wily
> xserver-xorg-input-all-lts-wily libegl1-mesa-lts-wily
> libgl1-mesa-glx-lts-wily libegl1-mesa-lts-wily
> virtualbox-guest-utils-lts-wily xserver-xorg-video-vesa-lts-wily
> libgles2-mesa-lts-wily virtualbox-guest-dkms-lts-wily

Thanks for testing! Does the '--show-replacements' switch do the right
thing and want to install the i386 replacements for the packages which
you have installed?

--
Brian Murray

Vlad Orlov (monsta) wrote :

Unfortunately, no...

$ hwe-support-status --show-replacements
linux-image-generic-lts-xenial linux-generic-lts-xenial xserver-xorg-lts-xenial libgl1-mesa-glx-lts-xenial

Vlad Orlov (monsta) wrote :

I've experimented with it a bit more and found out it doesn't show libwayland-egl1-mesa-lts-xenial in the replacements list as well.

However, this might be due to this system having a patched version of libsdl2. I've made it depend on virtual package libwayland-egl1 instead of current 'libwayland-egl1-mesa (>= 10.0.2) | libwayland-egl1' so that it would be installable with any HWE stack. Well, it's kinda offtopic, but I'd be glad to see the patch accepted in Trusty. See the debdiff in this report:

https://bugs.launchpad.net/bugs/1536081

Changed in update-notifier (Ubuntu Trusty):
importance: Undecided → High
Changed in update-notifier (Ubuntu):
importance: Undecided → High
Changed in update-notifier (Ubuntu Xenial):
importance: Undecided → High
Brian Murray (brian-murray) wrote :

On Sat, Aug 06, 2016 at 08:41:32AM -0000, Vlad Orlov wrote:
> However, the tool seems to ignore multiarch.
> I have some 32-bit packages from lts-wily stack installed here (the system is 64-bit Xubuntu 14.04):
>
> $ aptitude search ~ilts-wily | grep i386
> i A libegl1-mesa-lts-wily:i386 - free implementation of the EGL API -- runt
> i A libgbm1-lts-wily:i386 - generic buffer management API -- runtime
> i A libgl1-mesa-dri-lts-wily:i386 - free implementation of the OpenGL API -- D

Part of the issue here is that you do not have the
libgl1-mesa-glx-lts-wily:i386 metapackage installed. On
https://wiki.ubuntu.com/Kernel/LTSEnablementStack it makes reference to
libgl1-mesa-glx which would then pull in the other packages you've
listed above.

> But they're not shown in the unsupported packages list:
>
> $ hwe-support-status --show-all-unsupported
> xserver-xorg-video-mga-lts-wily libgles1-mesa-lts-wily
> xserver-xorg-video-r128-lts-wily xserver-xorg-video-qxl-lts-wily
> xserver-xorg-video-nouveau-lts-wily
> xserver-xorg-input-vmmouse-lts-wily xserver-xorg-input-mouse-lts-wily
> linux-image-extra-4.2.0-42-generic xserver-xorg-video-savage-lts-wily
> xserver-xorg-video-siliconmotion-lts-wily
> xserver-xorg-video-vmware-lts-wily linux-image-generic-lts-wily
> xserver-xorg-input-wacom-lts-wily xserver-xorg-input-evdev-lts-wily
> xserver-xorg-video-neomagic-lts-wily
> xserver-xorg-video-sisusb-lts-wily linux-generic-lts-wily
> libgbm1-lts-wily xserver-xorg-core-lts-wily libgl1-mesa-dri-lts-wily
> libgbm1-lts-wily libgl1-mesa-dri-lts-wily
> xserver-xorg-video-mach64-lts-wily
> xserver-xorg-video-openchrome-lts-wily virtualbox-guest-x11-lts-wily
> libwayland-egl1-mesa-lts-wily linux-image-4.2.0-42-generic
> xserver-xorg-video-radeon-lts-wily xserver-xorg-video-fbdev-lts-wily
> xserver-xorg-video-intel-lts-wily xserver-xorg-video-tdfx-lts-wily
> xserver-xorg-video-cirrus-lts-wily libwayland-egl1-mesa-lts-wily
> linux-headers-generic-lts-wily libxatracker2-lts-wily
> xserver-xorg-input-synaptics-lts-wily xserver-xorg-lts-wily
> xserver-xorg-video-ati-lts-wily xserver-xorg-video-all-lts-wily
> xserver-xorg-video-trident-lts-wily libglapi-mesa-lts-wily
> xserver-xorg-input-all-lts-wily libegl1-mesa-lts-wily
> libgl1-mesa-glx-lts-wily libegl1-mesa-lts-wily
> virtualbox-guest-utils-lts-wily xserver-xorg-video-vesa-lts-wily
> libgles2-mesa-lts-wily virtualbox-guest-dkms-lts-wily

They aren't show in the list because of an issue with how foreign
architectures were determined, due to something I missed when porting
the code from python2 to python3. I'll upload a fix for the foreign
arch issue shortly.

--
Brian Murray

Hello Bryan, or anyone else affected,

Accepted update-manager into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:0.196.17 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Vlad Orlov (monsta) wrote :

Ok, updated to 1:0.196.17, now i386 packages are shown in the unsupported packages list:

$ hwe-support-status --show-all-unsupported | grep i386
libwayland-egl1-mesa-lts-wily:i386 xserver-xorg-video-mga-lts-wily
libgl1-mesa-dri-lts-wily libgbm1-lts-wily:i386
linux-image-extra-4.2.0-42-generic libgl1-mesa-dri-lts-wily:i386
libegl1-mesa-lts-wily:i386 libxatracker2-lts-wily

Vlad Orlov (monsta) wrote :

Next I installed libgl1-mesa-glx-lts-wily:i386, and indeed, now there's a replacement for it shown in the list:

$ hwe-support-status --show-replacements
linux-image-generic-lts-xenial libgl1-mesa-glx-lts-xenial linux-generic-lts-xenial xserver-xorg-lts-xenial libgl1-mesa-glx-lts-xenial:i386

Vlad Orlov (monsta) wrote :

Ok... now is there some other metapackage which I need to install in order to get libwayland-egl1-mesa-lts-xenial and libwayland-egl1-mesa-lts-xenial:i386 to appear in the replacements list?

Erick Brunzell (lbsolost) wrote :

> is there some other metapackage which I need to install in order to get > libwayland-egl1-mesa-lts-xenial and libwayland-egl1-mesa-lts-xenial:i386 to appear in the replacements > list?

I think the devs are trying to figure that out in bug #1610434. For some reason libwayland-egl1-mesa-lts-xenial doesn't get installed when upgrading from an older HWE to the lts-xenial stack. I hadn't tested on multiarch but it does affect both amd64 and i386.

Brian Murray (brian-murray) wrote :

I've modified the list of "metapackages" in hwe-support-status now so that libwayland-egl1-mesa is in it. This'll resolve the issue from comment #28 and #29 and bug 1610434 which I'll mark a duplicate of this. Keep an eye out for the new update.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-notifier (Ubuntu Trusty):
status: New → Confirmed
Changed in update-notifier (Ubuntu Xenial):
status: New → Confirmed
Brian Murray (brian-murray) wrote :

Please also verify bug 1611982 if you are testing this, you'll need to have -proposed enabled to show hwe-support-status is using the right xserver-xorg-video-ati packages.

Brian Murray (brian-murray) wrote :

Actually, I'm leaving bug 1610434 as a separate / not duplicate bug.

description: updated
Steve Langasek (vorlon) wrote :

Hello Bryan, or anyone else affected,

Accepted update-notifier into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/0.154.1ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-notifier (Ubuntu Trusty):
status: Confirmed → Fix Committed
Brian Murray (brian-murray) wrote :

To test this I enabled proposed on a Trusty system with the vivid HWE stack installed, and installed python3-update-manager, update-manager-core, and update-manager. I also installed libgl1-mesa-glx-lts-vivid:i386 and libglapi-mesa-lts-vivid:i386 to test the multiarch issue we encountered. Running hwe-support-status --show-all-unsupported I did see i386 packages listed and --show-replacements showed i386 packages. Additionally, libwayland-egl1-mesa-lts-xenial was listed as a replacement package.

I then installed the -proposed version of update-notifier and update-notifier-common and when I ssh'ed to my system I received a warning about my HWE stack being out of date. Subsequently, I think this is verified.

Brian Murray (brian-murray) wrote :

Even though I've verified this I'd appreciate any additional testing. I hope to release the updates related to the HWE stack on August 15th.

tags: added: verification-done
removed: verification-needed
Erick Brunzell (lbsolost) wrote :

I tested an Ubuntu server w/Utopic HWE install tonight and all seemed to go well:

hwe-support-status --show-all-unsupported
linux-image-3.16.0-77-generic linux-image-generic-lts-utopic
linux-headers-generic-lts-utopic linux-image-extra-3.16.0-30-generic
linux-generic-lts-utopic linux-image-3.16.0-30-generic
linux-image-extra-3.16.0-77-generic

hwe-support-status --show-replacements
linux-image-generic-lts-xenial linux-generic-lts-xenial

hwe-support-status --verbose
WARNING: Security updates for your current Hardware Enablement
Stack ended on 2016-08-04:
 * http://wiki.ubuntu.com/1404_HWE_EOL

To upgrade to a supported (or longer-supported) configuration:

* Upgrade from Ubuntu 14.04 LTS to Ubuntu 16.04 LTS by running:
sudo do-release-upgrade

OR

* Switch to the current security-supported stack by running:
sudo apt-get install linux-image-generic-lts-xenial linux-generic-lts-xenial

and reboot your system.

The applicable bits from apt.history:

Start-Date: 2016-08-12 21:36:06
Commandline: apt-get install update-manager-core
Upgrade: update-manager-core:amd64 (0.196.14, 0.196.18), python3-update-manager:amd64 (0.196.14, 0.196.18)
End-Date: 2016-08-12 21:36:11

Start-Date: 2016-08-12 21:53:36
Commandline: apt-get install linux-image-generic-lts-xenial linux-generic-lts-xenial
Install: linux-headers-4.4.0-34-generic:amd64 (4.4.0-34.53~14.04.1, automatic), linux-image-4.4.0-34-generic:amd64 (4.4.0-34.53~14.04.1, automatic), linux-headers-4.4.0-34:amd64 (4.4.0-34.53~14.04.1, automatic), linux-generic-lts-xenial:amd64 (4.4.0.34.24), thermald:amd64 (1.4.3-5~14.04.4, automatic), linux-headers-generic-lts-xenial:amd64 (4.4.0.34.24, automatic), linux-image-extra-4.4.0-34-generic:amd64 (4.4.0-34.53~14.04.1, automatic), linux-image-generic-lts-xenial:amd64 (4.4.0.34.24)
End-Date: 2016-08-12 22:11:44

Erick Brunzell (lbsolost) wrote :

One thing that jumped out at me on an Lubuntu test tonight was the "will become
available on 2016-07-21" date:

WARNING: Security updates for your current Hardware Enablement
Stack ended on 2016-08-04:
 * http://wiki.ubuntu.com/1404_HWE_EOL

There is a graphics stack installed on this system. An upgrade to a
configuration supported for the full lifetime of the LTS will become
available on 2016-07-21 and can be installed by running 'update-manager'
in the Dash.

I don't know if that's worth changing or not?????

Vlad Orlov (monsta) wrote :

Looks good here with update-manager 1:0.196.18:

$ hwe-support-status --show-replacements
libgl1-mesa-glx-lts-xenial libwayland-egl1-mesa-lts-xenial linux-generic-lts-xenial libgl1-mesa-glx-lts-xenial:i386 libwayland-egl1-mesa-lts-xenial:i386 xserver-xorg-lts-xenial linux-image-generic-lts-xenial

Vlad Orlov (monsta) wrote :

Ok, trying to install the listed replacements won't remove my patched versions of libsdl2-2.0-0 and libsdl2-2.0-0:i386 anymore. Previously they were going to be removed due to missing libwayland-egl1-mesa-lts-* is the list. Looks good so far.

I experimented a bit more, removed libgl1-mesa-glx-lts-wily:i386 package, then used autoremove to get rid of some packages that it depends on (excluding the ones needed by libsdl2-2.0-0:i386).

$ hwe-support-status --show-replacements
linux-generic-lts-xenial libwayland-egl1-mesa-lts-xenial libgl1-mesa-glx-lts-xenial libwayland-egl1-mesa-lts-xenial:i386 linux-image-generic-lts-xenial xserver-xorg-lts-xenial

So the replacements list got one package shorter (as expected), but there were no issues when trying to install these packages - both 32-bit and 64-bit libsdl2 were kept intact. I guess it's libwayland-egl1-mesa-lts-xenial:i386 package that takes care of what's needed by libsdl2 now.

Vlad Orlov (monsta) wrote :

One additional issue I missed before... I'm running this Xubuntu 14.04 in VirtualBox and have the guest packages installed. I use the recently added -lts-wily packages that are built against the Wily stack.

So, they're shown in the unsupported list:

$ hwe-support-status --show-all-unsupported | grep virtualbox
xserver-xorg-video-vesa-lts-wily virtualbox-guest-utils-lts-wily
virtualbox-guest-x11-lts-wily libwayland-egl1-mesa-lts-wily
xserver-xorg-video-savage-lts-wily virtualbox-guest-dkms-lts-wily

However, 'hwe-support-status --show-replacements' doesn't show -lts-xenial replacements for them.

You can check these packages in trusty-updates repo:
http://packages.ubuntu.com/src:virtualbox-lts

See also this bug report for the history of these packages:
https://bugs.launchpad.net/bugs/1424769

Erick Brunzell (lbsolost) wrote :

After running several additional tests I think we're good to go, unless Brian Murray thinks the date mentioned in comment #39 is worth changing. I suppose technically the lts-xenial packages may have been available that soon.

Steve Langasek (vorlon) wrote :

Hello Bryan, or anyone else affected,

Accepted update-manager into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:0.196.19 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Vlad - thanks for finding the issue with the virtual box packages. I've added a fix for that too now.

Vlad Orlov (monsta) wrote :

Thanks! Though I'm not sure if only virtualbox-guest-utils and virtualbox-guest-source should be taken into account... there's virtualbox-guest-x11 and virtualbox-guest-dkms as well.

Unfortunately, there's no metapackage that would depend on -dkms, -utils and -x11 packages (the -source one isn't so important as it's not required for normal functioning of guest additions).

On Mon, Aug 15, 2016 at 09:02:19PM -0000, Vlad Orlov wrote:
> Thanks! Though I'm not sure if only virtualbox-guest-utils and
> virtualbox-guest-source should be taken into account... there's
> virtualbox-guest-x11 and virtualbox-guest-dkms as well.
>
> Unfortunately, there's no metapackage that would depend on -dkms, -utils
> and -x11 packages (the -source one isn't so important as it's not
> required for normal functioning of guest additions).

virtualbox-guest-utils-lts-vivid recommends the following:

Recommends: virtualbox-guest-dkms-lts-vivid (=
4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1~14.04.4) |
virtualbox-guest-source-lts-vivid (=
4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1~14.04.4) |
virtualbox-guest-modules-lts-vivid, virtualbox-guest-x11-lts-vivid (=
4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1~14.04.4)

So that should do it.

--
Brian Murray

Brian Murray (brian-murray) wrote :

The virtualbox changes look good to me:

bdmurray@upgrade-trusty-amd64:~$ apt-cache policy update-manager-core
update-manager-core:
  Installed: 1:0.196.19
  Candidate: 1:0.196.19
  Version table:
 *** 1:0.196.19 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.196.14 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
     1:0.196.11 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
bdmurray@upgrade-trusty-amd64:~$ hwe-support-status --show-replacements | grep virtualbox
xserver-xorg-lts-xenial linux-generic-lts-xenial virtualbox-guest-utils-lts-xenial libwayland-egl1-mesa-lts-xenial linux-image-generic-lts-xenial libgl1-mesa-glx
-lts-xenial
bdmurray@upgrade-trusty-amd64:~$ sudo apt-get install $(hwe-support-status --show-replacements)
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libntdb1 python-ntdb
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libdrm-amdgpu1 libdrm-nouveau2 libegl1-mesa-lts-xenial libgbm1-lts-xenial
  libgl1-mesa-dri-lts-xenial libglapi-mesa-lts-xenial libgles1-mesa-lts-xenial
  libgles2-mesa-lts-xenial libllvm3.8v4 libxatracker2-lts-xenial
  linux-headers-4.4.0-36 linux-headers-4.4.0-36-generic
  linux-headers-generic-lts-xenial linux-image-4.4.0-36-generic
  linux-image-extra-4.4.0-36-generic virtualbox-guest-dkms-lts-xenial
  virtualbox-guest-x11-lts-xenial xserver-xorg-core-lts-xenial
  xserver-xorg-input-all-lts-xenial xserver-xorg-input-evdev-lts-xenial
  xserver-xorg-input-synaptics-lts-xenial
  xserver-xorg-input-vmmouse-lts-xenial xserver-xorg-input-wacom-lts-xenial
  xserver-xorg-video-all-lts-xenial xserver-xorg-video-amdgpu-lts-xenial
  xserver-xorg-video-ati-lts-xenial xserver-xorg-video-cirrus-lts-xenial
  xserver-xorg-video-fbdev-lts-xenial xserver-xorg-video-intel-lts-xenial
  xserver-xorg-video-mach64-lts-xenial xserver-xorg-video-mga-lts-xenial
  xserver-xorg-video-neomagic-lts-xenial xserver-xorg-video-nouveau-lts-xenial
  xserver-xorg-video-openchrome-lts-xenial xserver-xorg-video-qxl-lts-xenial
  xserver-xorg-video-r128-lts-xenial xserver-xorg-video-radeon-lts-xenial
  xserver-xorg-video-savage-lts-xenial
  xserver-xorg-video-siliconmotion-lts-xenial
  xserver-xorg-video-sisusb-lts-xenial xserver-xorg-video-tdfx-lts-xenial
  xserver-xorg-video-trident-lts-xenial xserver-xorg-video-vesa-lts-xenial
  xserver-xorg-video-vmware-lts-xenial
...

tags: added: verification-done
removed: verification-needed
Vlad Orlov (monsta) wrote :

Right, I forgot that APT::Install-Recommends is "true" by default :)
Ok, looks good here too with 1:0.196.19.

[...]

The following extra packages will be installed:
  libegl1-mesa-lts-xenial libegl1-mesa-lts-xenial:i386 libgbm1-lts-xenial
  libgbm1-lts-xenial:i386 libgl1-mesa-dri-lts-xenial
  libgl1-mesa-dri-lts-xenial:i386 libglapi-mesa-lts-xenial
  libgles1-mesa-lts-xenial libgles2-mesa-lts-xenial libllvm3.8v4
  libllvm3.8v4:i386 libxatracker2-lts-xenial libxcb-dri3-0:i386
  libxcb-present0:i386 libxcb-sync1:i386 libxshmfence1:i386
  linux-headers-4.4.0-36 linux-headers-4.4.0-36-generic
  linux-headers-generic-lts-xenial linux-image-4.4.0-36-generic
  linux-image-extra-4.4.0-36-generic virtualbox-guest-dkms-lts-xenial
  virtualbox-guest-x11-lts-xenial xserver-xorg-core-lts-xenial
  xserver-xorg-input-all-lts-xenial xserver-xorg-input-evdev-lts-xenial
  xserver-xorg-input-synaptics-lts-xenial
  xserver-xorg-input-vmmouse-lts-xenial xserver-xorg-input-wacom-lts-xenial
  xserver-xorg-video-all-lts-xenial xserver-xorg-video-amdgpu-lts-xenial
  xserver-xorg-video-ati-lts-xenial xserver-xorg-video-cirrus-lts-xenial
  xserver-xorg-video-fbdev-lts-xenial xserver-xorg-video-intel-lts-xenial
  xserver-xorg-video-mach64-lts-xenial xserver-xorg-video-mga-lts-xenial
  xserver-xorg-video-neomagic-lts-xenial xserver-xorg-video-nouveau-lts-xenial
  xserver-xorg-video-openchrome-lts-xenial xserver-xorg-video-qxl-lts-xenial
  xserver-xorg-video-r128-lts-xenial xserver-xorg-video-radeon-lts-xenial
  xserver-xorg-video-savage-lts-xenial
  xserver-xorg-video-siliconmotion-lts-xenial
  xserver-xorg-video-sisusb-lts-xenial xserver-xorg-video-tdfx-lts-xenial
  xserver-xorg-video-trident-lts-xenial xserver-xorg-video-vesa-lts-xenial
  xserver-xorg-video-vmware-lts-xenial

[...]

The verification of the Stable Release Update for update-manager has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.154.1ubuntu2

---------------
update-notifier (0.154.1ubuntu2) trusty-proposed; urgency=medium

  * Add support for the HWE End-of-Life notification via
    motd. (LP: #1498059)

 -- Brian Murray <email address hidden> Fri, 05 Aug 2016 15:19:06 -0700

Changed in update-notifier (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.196.19

---------------
update-manager (1:0.196.19) trusty-proposed; urgency=medium

  * hwe-support-status: utilize a virtualbox metapackage set. (LP: #1498059)

 -- Brian Murray <email address hidden> Mon, 15 Aug 2016 11:14:48 -0700

Changed in update-manager (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in update-notifier (Ubuntu Xenial):
status: Confirmed → Triaged
Changed in update-manager (Ubuntu Xenial):
status: Triaged → Won't Fix
Changed in update-notifier (Ubuntu Xenial):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers